Skip to main content
Indiana Wesleyan University Support Knowledge Base

eForms

Recommended Browser: Internet Explorer 10
Supported Browsers:

 

  • Internet Explorer 10
  • Firefox (32-Bit) - Version 30+ 

     

    Safari and Mobile Devices
    Smartphones, tablets and the safari browser are not compatible with eForms.

 

Other Requirements:

Java 

The appropriate version of Java needs to be installed for the eForms to function.  You may go to https://www.java.com/en/download/faq/release_changes.xml to download the most recent version yourself.  Version 8 is the latest Java version. Security warnings may appear before and after. It is safe to allow these.

Known Browser Issues

  • Was this article helpful?